GET api/OrderLine?getTotals={getTotals}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| getTotals | boolean |
Required |
Body Parameters
None.
Response Information
Resource Description
Collection of SalesDashboardTotalsViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| totalSalesAmountThisMonth | decimal number |
None. |
|
| totalSalesUnitThisMonth | integer |
None. |
|
| sizeOfUncompletedDealsAmount | decimal number |
None. |
|
| sizeOfUncompletedDealsUnit | integer |
None. |
|
| averageDealValueUnit | integer |
None. |
|
| averageDealValueAmount | decimal number |
None. |
|
| totalSalesUnit | integer |
None. |
|
| totalSalesAmount | decimal number |
None. |
|
| dealsLastMonth | decimal number |
None. |
|
| dealsThisMonth | decimal number |
None. |
|
| completedSalesThisMonth | integer |
None. |
|
| inNegotiationSalesThisMonth | integer |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"$id": "1",
"totalSalesAmountThisMonth": 1.0,
"totalSalesUnitThisMonth": 2,
"sizeOfUncompletedDealsAmount": 3.0,
"sizeOfUncompletedDealsUnit": 4,
"averageDealValueUnit": 5,
"averageDealValueAmount": 6.0,
"totalSalesUnit": 7,
"totalSalesAmount": 8.0,
"dealsLastMonth": 1.0,
"dealsThisMonth": 1.0,
"completedSalesThisMonth": 9,
"inNegotiationSalesThisMonth": 10
},
{
"$ref": "1"
}
]